import java.util.ArrayList ;

public class Car {
    // attributes 
    public double interiorTemp = 65.0 ;
    public double gas = 0.60 ;
    public boolean movable = true ;
    public boolean heater = false ; // true = heater is on
    public boolean ac = false ;
    public boolean seatWarmers = false ;
    public boolean rollCage = false ;
    public double speed = 0.0 ;
    public double rpm = 0.0 ;
    public int tires = 4 ;
    private double oilPressure = 4.0 ;
    private double oilLevel = 0.60 ;
    private double batteryVoltage = 12.5 ;
    public ArrayList<String> sizes ;
    public int size ;
    


    // Constructor - the setup method
   public Car () {
        rpm = 700.0 ;
        sizes = new ArrayList<String>() ;
        sizes.add("go cart") ; // 0
        sizes.add("sport car") ; // 1
        sizes.add("suv") ; // 2
        sizes.add("coup") ; // 3
        sizes.add("truck") ; // 4
        sizes.add("bus") ; // 5
        size = 0 ; //default being a go cart.
    }

    // methods

    
    public void seatWarmers() {
        if (seatWarmers == true) {// if seat warmeers are on
            seatWarmers = false ;
        System.out.println("seat warmers turned off") ;
        }
        else {
            seatWarmers = true ;
            System.out.println("seat warmers turned on") ;
        }
    }

    public void doorOpener() {
        // add logic for elictricity
        System.out.println("DoorsOpen") ;
    }

    public void size() {
        System.out.println(sizes.get(size)) ;
    }

    public void tirePop() {
        if (tires > 0) {
            tires = tires - 1 ;
            System.out.println("A tire popped.") ;
            movable = false ;
        }
        else {
            System.out.println("no tires to pop");
        }
    }

    public void tireInflait() {
        //add a check for if tires need fixing
        if (tires < 4) {
            tires = tires + 1 ;
            System.out.println("A tire fixed.") ;
            movable = true ;
        }
        else {
            System.out.println("All tires already fixed");
        }
    }

    public void heatOn () {
        System.out.println("Turning Heat on") ;
        if (ac == true) {
            acOff() ;
        }
        heater = true ;
    }
   
    public void heatOff () {
        System.out.println("Turning Heat off") ;
        heater = false ;
    }

    public void acOn() {
        System.out.println("Turning AC on") ;
        if (heater == true) {
            heatOff() ;
        }
        ac = true ;
        
    }
    
    public void acOff () {
        System.out.println("Turning AC off") ;
        ac = false ;
    }

    public double showSpeed() {
        System.out.println(speed) ;
        return speed ;
    }

    public void showRPM() {
        System.out.println(rpm) ;
    }

}